社員ランク削除
DELETE
/staff_ranks/{staff_rank}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/staff_ranks/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/staff_ranks/example \ --header 'Authorization: Bearer <token>'社員ランクを削除します。
※ 会員本部連携をご利用の場合、会員の社員ランクは使用できないため、本APIもご利用になれません。
対象プラン
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”staff_rank
required
string
社員ランク
Responses
Section titled “Responses”削除成功
- 契約IDが会員本部連携が有効な契約のものである場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
Example契約IDが会員本部連携が有効な契約のものである場合
{ "type": "about:blank", "title": "Bad Request", "detail": "会員本部連携が有効な契約では社員ランクはご利用できないため、本APIもご利用できません。", "status": 400}- 指定されたIDが存在しない場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
Example指定された社員ランクが存在しない場合
{ "type": "about:blank", "title": "NotFound", "detail": "指定された社員ランクが見つかりません。", "status": 404}